Edited at

【ionic】firebaseが原因でビルドエラーになる

More than 1 year has passed since last update.

ionicにgit pushした後、ビルド完了を待ってたらエラーが出てしまいました。

どうやらfirebaseが原因っぽい。

スクリーンショット 2017-11-06 0.14.30.png

スクリーンショット 2017-11-06 0.17.08.png


【解決策】firebaseのバージョンを4.3.0に下げる

マジかよ。。。と思ってしまいましたが、どうやらこうするしかなさそうです。

4.6系から4.3.0にダウングレードしたら解決しました。

(↓では4.2.0にダウングレードしたら直ったとのことですが、4.3.0でも直ります)

https://github.com/angular/angularfire2/issues/1199

スクリーンショット 2017-11-06 0.26.00.png